# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Sun Sep  4 11:50:29 2022
# ------------------------------------------------

package:
  name: perl-log-log4perl
  version: '1.56'
source:
  sha256: 47e08d63c9a940743308c8ba39fa51e4c15459c7d70acfc3b131b981f843a941
  url: https://cpan.metacpan.org/authors/id/E/ET/ETJ/Log-Log4perl-1.56.tar.gz
build:
  noarch: generic
  number: '0'
  script:
    - perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
    - make
    - make test
    - make install VERBINST=1
  string: pl5321hd8ed1ab_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 12.1.0 h8d9b700_16
    - libgomp 12.1.0 h8d9b700_16
    - make 4.3 hd18ef5c_1
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 12.1.0 h8d9b700_16
    - libgomp 12.1.0 h8d9b700_16
    - libnsl 2.0.0 h7f98852_0
    - perl 5.32.1 2_h7f98852_perl5
    - perl-dbi 1.643 pl5321h166bdaf_0
    - perl-exporter 5.74 pl5321hd8ed1ab_0
    - perl-extutils-makemaker 7.64 pl5321hd8ed1ab_0
    - perl-file-path 2.18 pl5321hd8ed1ab_0
  run:
    - perl >=5.32.1,<6.0a0 *_perl5
    - perl-dbi
    - perl-file-path
test:
  commands:
    - l4p-tmpl
  imports:
    - Log::Log4perl
    - Log::Log4perl::Config
    - Log::Log4perl::Level
    - Log::Log4perl::Logger
about:
  home: https://metacpan.org/dist/Log-Log4perl
  license: GPL-1.0-or-later OR Artistic-1.0-Perl
  license_family: OTHER
  license_file:
    - /home/conda/feedstock_root/build_artifacts/perl-log-log4perl_1662292306970/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/man/man1/perlartistic.1
    - /home/conda/feedstock_root/build_artifacts/perl-log-log4perl_1662292306970/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/man/man1/perlgpl.1
    - LICENSE
  summary: Log4j implementation for Perl
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - cbrueffer
